Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class SimpleRegisterableItemsFactory

    java.lang.Object
      org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory

All Implemented Interfaces:
  org.kie.internal.runtime.manager.RegisterableItemsFactory

Direct Known Subclasses:
  DefaultRegisterableItemsFactory

    public class SimpleRegisterableItemsFactory

extends Object
implements org.kie.internal.runtime.manager.RegisterableItemsFactory

Constructor Summary
`SimpleRegisterableItemsFactory()`

Method Summary
`void` | `addAgendaListener(Class<? extends AgendaEventListener> clazz)`
`void` | `addProcessListener(Class<? extends ProcessEventListener> clazz)`
`void` | `addWorkingMemoryListener(Class<? extends WorkingMemoryEventListener> clazz)`
`void` | `addWorkItemHandler(String name, Class<? extends WorkItemHandler> clazz)`
`protected
`<T> T`
` | `createInstance(Class<T> clazz, KieSession ksession)`
`List<AgendaEventListener>` | `getAgendaEventListeners(RuntimeEngine runtime)`
`List<ProcessEventListener>` | `getProcessEventListeners(RuntimeEngine runtime)`
`List<WorkingMemoryEventListener>` | `getWorkingMemoryEventListeners(RuntimeEngine runtime)`
`Map<String,WorkItemHandler>` | `getWorkItemHandlers(RuntimeEngine runtime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRegisterableItemsFactory

    public SimpleRegisterableItemsFactory()

Method Detail

### getWorkItemHandlers

    public Map<String,WorkItemHandler> getWorkItemHandlers(RuntimeEngine runtime)

  Specified by:
    `getWorkItemHandlers` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`

### getProcessEventListeners

    public List<ProcessEventListener> getProcessEventListeners(RuntimeEngine runtime)

  Specified by:
    `getProcessEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`

### getAgendaEventListeners

    public List<AgendaEventListener> getAgendaEventListeners(RuntimeEngine runtime)

  Specified by:
    `getAgendaEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`

### getWorkingMemoryEventListeners

    public List<WorkingMemoryEventListener> getWorkingMemoryEventListeners(RuntimeEngine runtime)

  Specified by:
    `getWorkingMemoryEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`

### addWorkItemHandler

    public void addWorkItemHandler(String name,
                                   Class<? extends WorkItemHandler> clazz)

### addProcessListener

    public void addProcessListener(Class<? extends ProcessEventListener> clazz)

### addAgendaListener

    public void addAgendaListener(Class<? extends AgendaEventListener> clazz)

### addWorkingMemoryListener

    public void addWorkingMemoryListener(Class<? extends WorkingMemoryEventListener> clazz)

### createInstance

    protected <T> T createInstance(Class<T> clazz,
                                   KieSession ksession)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.